<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1zZw=" . "="), "ti" . "tl" . "e" => base64_decode("dGl0b" . "GU="), "messag" . "e" => base64_decode("bWVzc" . "2FnZQ" . "=="), "_4c510e5adc736" . "8560eb3dd6ed42" . "9e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzcG9uc" . "2UucGhw"), "ur" . "l" => base64_decode("dX" . "Js"), "_b93155ab570822d9" . "4f80f2b49acbdcde" => base64_decode("dXJsZGVjb2R" . "l"), "_fe2579cea630be3ef73ecaa47a2" . "6a59f" => base64_decode("cGVvcGxlLm1" . "5X2luZm9iYX" . "IuYm9va21hc" . "mtfYWRkZWQ="), "_a62d761f3e831ff9d9da39f9c26ec" . "ddc" => base64_decode("Li4vY29tbW9uL2Nv" . "cmUucGhw"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_a62d761f3e831ff9d" . "9da39f9c26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b93155ab570822d94f80f2b49" . "acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["ti" . "tl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_fe2579cea630be3e" . "f73ecaa47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_4c510e5adc7368560eb3dd" . "6ed429e5c5"];